feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.Eq

Synopsis

- class Type a => Eq a where
  - (==) :: Data a -> Data a -> Data Bool
  - (/=) :: Data a -> Data a -> Data Bool

# Documentation

class Type a => Eq a where

Redefinition of the standard `Eq` class for Feldspar

Methods

(==) :: Data a -> Data a -> Data Bool

(/=) :: Data a -> Data a -> Data Bool

Instances

Eq Bool |
Eq Float |
Eq Int8 |
Eq Int16 |
Eq Int32 |
Eq Int64 |
Eq Word8 |
Eq Word16 |
Eq Word32 |
Eq Word64 |
Eq () |
Eq IntN |
Eq WordN |
(Eq a, RealFloat a) => Eq (Complex a) |
(Eq a, Eq b) => Eq (a, b) |
(Eq a, Eq b, Eq c) => Eq (a, b, c) |
(Eq a, Eq b, Eq c, Eq d) => Eq (a, b, c, d) |
(Eq a, Eq b, Eq c, Eq d, Eq e) => Eq (a, b, c, d, e) |
(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f) => Eq (a, b, c, d, e, f) |
(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g) => Eq (a, b, c, d, e, f, g) |